Header Leaderboard Ad

Collapse

Newbler 2.7 on BioLinux 7.0 (Ubuntu 12.04.1 LTS)

Collapse

Announcement

Collapse
No announcement yet.
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Newbler 2.7 on BioLinux 7.0 (Ubuntu 12.04.1 LTS)

    Hello,

    I've just installed Roche's Newbler 2.7 on BioLinux 7.0. BioLinux 7.0 is Ubuntu 12.04 LTS (AMD64) with a "layer" on top of it. If you want to know how to do the BioLinux 7.0 install, it's pretty easy. See the following URL for more information:

    Code:
    http://nebc.nerc.ac.uk/tools/bio-linux/bio-linux-7-info
    Instructions for Installing Newbler 2.7:

    1) Make sure you have the ia32 libs installed.

    2) You can download the Newbler 2.7 RPMs from Roche.

    3) FOR RPM conversion:
    Code:
    sudo alien *.rpm --scripts

    4) Then install the freshly made DEBs.
    Code:
    sudo dpkg -i *.deb

    5) You'll have to manually create the gsAmplicons menu entry. The icon and executable will be in /opt/454 .

    Regards,
    CH
    1
    Yes
    100.00%
    1
    No
    0.00%
    0

    The poll is expired.

    Last edited by cement_head; 11-29-2012, 07:43 AM.

  • #2
    Thanks, this worked for me on Ubuntu 12.04.1 w/ Newbler 2.8

    Comment


    • #3
      We also installed version 2.8 on BioLinux 6 using the above information.

      Thank you for the post!

      Comment


      • #4
        newbler 2.8 ?????

        The sudo comand does not work for me when i was trying to install newbler 2.8

        can u give a step by step method for new installation.
        I tried tha bash setup.sh command but it gave some message that "one or more of the following library were not found zlib.i386, libxi.i386, libxtst.i386, libxav.i386 without these library 454 software may not run properly".


        Can anyone please help
        Last edited by hemant; 02-21-2013, 07:33 AM.

        Comment


        • #5
          Originally posted by hemant View Post
          The sudo comand does not work for me when i was trying to install newbler 2.8


          Can anyone please help
          The system administrators have to give your account permission to run "sudo". Access to "sudo" gives your account some special rights. I assume you are not the administrator of this machine. You may need to work with an administrator to get access to "sudo" or you can ask them to do the install.

          Comment


          • #6
            Originally posted by hemant View Post
            The sudo comand does not work for me when i was trying to install newbler 2.8

            can u give a step by step method for new installation.
            I tried tha bash setup.sh command but it gave some message that "one or more of the following library were not found zlib.i386, libxi.i386, libxtst.i386, libxav.i386 without these library 454 software may not run properly".


            Can anyone please help
            Hi,

            As per the first line of the instructions - you MUST have the ia32 libraries installed for the GUI's to work. Newbler is actually 64bit software, but the GUI's are 32 bit, so unless you want to use only CLI (Command Line Interface), you'll need to install the ia32 libraries.

            GenoMax is correct - you must have "Super User" DO privilidges (sudo) to perform these commands. Only your system admin can do this. If you are your sys admin and you've forgotten your sudo password, you can reset it.

            HOWEVER, RESETTING YOUR SUDO PASSWORD IF YOU ARE NOT THE SYS ADMIN CAN BE CONSIDERED A MISSUSE OF COMPUTING RESOURCES AND MAYBE GROUNDS FOR TERMINATION. PLEASE CHECK WITH YOUR INSTITUTIONS CODE OF CONDUCT.

            Regards,
            CH

            Comment


            • #7
              can i install it by myself in my folder in the cluster

              and how do i install ia32 libraries
              Last edited by hemant; 02-21-2013, 07:58 AM.

              Comment


              • #8
                Originally posted by hemant View Post
                can i install it by myself in my folder in the cluster

                and how do i install ia32 libraries
                If you do not have "sudo" rights on this system you are probably not going to get much further with the ia32 library/newbler install. Are you not able to call on an administrator to help with the install?

                Comment


                • #9
                  Probably not - contact the Cluster Admin - he/she can install it for you.

                  Comment


                  • #10
                    Originally posted by cement_head View Post
                    Hi,

                    As per the first line of the instructions - you MUST have the ia32 libraries installed for the GUI's to work. Newbler is actually 64bit software, but the GUI's are 32 bit, so unless you want to use only CLI (Command Line Interface), you'll need to install the ia32 libraries.
                    We always run Newbler on 64bit systems, never installed ia32 libs.
                    Newbler ships with its own version of GUI libs (hmm, java).
                    The warning occurs during installation, yes, but never had any side effects (here).
                    Time for Roche to clean up their code / installation packages :-)

                    Comment


                    • #11
                      Newbler GUI is 32 Bits. Their packages install without errors if you have the ia32 libraries. I know this, because I called and spoke with Roche 454 technical support.

                      Maybe try reinstall with the 32 bit libraries and see if the errors go away?

                      Comment


                      • #12
                        i was able to install newbler 2.8 on my Ubuntu desktop.

                        following the dash and bash command from
                        http://seqanswers.com/forums/showthread.php?t=20588

                        it looks like it is running properly.

                        If I copy all the installation folders to cluster (supercomputer) (in my folder - local installation) will I be able to run the programme on my cluster.

                        I was trying this by typing
                        export PATH=/home/username/454/bin:$PATH
                        $ newAssembly test

                        but the folder (test) was not being created.

                        Am I doing this the wright way.

                        Comment


                        • #13
                          Originally posted by crusoe View Post
                          Thanks, this worked for me on Ubuntu 12.04.1 w/ Newbler 2.8
                          How did you do to run Newbler ubuntu 14.04 ?
                          thankyou

                          Comment


                          • #14
                            @mido1951: Since you are posting in multiple threads I will just use this one for. The "error" you are posting is a "warning" so it is possible that you have newbler installed. You should go ahead and try to run a test data set (not sure if one is included in newbler) and show us any additional errors (if they show up).

                            Comment


                            • #15
                              resolved!
                              best link
                              http://jeff.wintersinger.org/posts/2...n-ubuntu-1204/

                              Comment

                              Working...
                              X